;;; base-keys.el --- Archivo de configuración de atajos

;; Author: kj <webmaster@outcontrol.net>
;; URL: https://git.kj2.me/kj/confi-emacs-actual

;;; Commentary:

;; Aquí se configuran los atajos globales.
;; Es posible que haya otros, ya que muchos se configuran
;; directamente en los paquetes/extensiones y dependen de los mismos.

;;; Code:

(define-key minibuffer-local-map  (kbd "<escape>")
  'keyboard-escape-quit)                                  ; Cancelar el minibuffer con un solo ESC.
(global-set-key (kbd "C-x C-z") nil)                      ; Unbind C-x C-z (don't minimize)
(global-set-key (kbd "C-a") 'mark-whole-buffer)           ; Seleccionar todo con CTRL+A.

(global-set-key (kbd "M-c") 'comment-or-uncomment-region) ; Comentar/descomentar en lote

(global-set-key (kbd "C-<f6>") 'create-tags)              ; Generar o Regeneral el archivo TAGS

(global-set-key (kbd "C-<f11>") 'toggle-frame-maximized)  ; Maximizar / restaurar

(global-set-key (kbd "C-c a") 'org-agenda)                ; Abrir la agenda.
(global-set-key (kbd "C-c c") 'org-capture)               ; Abrir la crear una entrada.

(provide 'base-keys)
;;; base-keys.el ends here
