;;; lang-php.el --- Configuración para el lenguaje PHP

;; Author: kj <webmaster@outcontrol.net>
;; URL: https://git.kj2.me/kj/confi-emacs-actual

;;; Commentary:

;;; Code:

(use-package company-php :defer t)
(use-package ac-php :defer t)

(use-package php-mode
  :defer t
  :bind ("<C-tab>" . php-doc-block)
  :config
  (add-hook 'php-mode-hook #'(lambda()
                               (php-enable-default-coding-style)
                               (company-mode t) ; habilita company mode
                               (ac-php-core-eldoc-setup) ; habilita soporte para ELDoc
                               (add-to-list 'company-backends 'company-ac-php-backend) ; Agregar ac-php para a company
                               ))
  )

(use-package php-doc-block
  :load-path (lambda() (concat private-dir "/packages/php-doc-block"))
  )

(provide 'lang-php)
;;; lang-php.el ends here
